:root {
  --bipro-blue: #024887;
  --bipro-red: #b61525;
  --bipro-dark-blue: #003C67;
  --bipro-dark-red: #93282C;
  --color-black: #000000;
  --color-white: #FFFFFF;
  --hover-red: #680404;
  --hover-blue: #001E33;
  --title-grey: #747474;
}

html {
  scroll-behavior: smooth;
  font-size: 16px;
  width: 100%;
}

body {
  font-family: "Open Sans", sans-serif;
  color: var(--color-black);
  background-color: var(--color-white);
  margin: 0;
  padding: 0;
  max-width: 100vw;
}

.titleText {
  font-size: 40px;
  line-height: 50px;
  margin: 0;
  font-weight: 700;
  font-style: oblique;
  color: var(--title-grey);
}

.nav-menu {
  background: var(--bipro-red);
  width: 100%;
  z-index: 1000;
  min-height: 70px;
  box-shadow: 0 2px 4px rgba(0,0,0,.1);
  display: flex;
  justify-content: space-around;
  align-items: center;
  position: relative;
  left: 0;
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
}

.nav-list {
  list-style: none;
  margin: 0;
  display: flex;
  height: 100%;
}

.nav-item {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 70px;
}

.nav-link, .loginLink {
  color: #fff;
  text-decoration: none;
  height: 100%;
  padding: 0 15px;
  display: flex;
  align-items: center;
  transition: background-color .3s;
}

.nav-link:hover, .loginLink:hover, .nav-link.active {
  background-color: var(--hover-red);
  color: var(--color-white);
}

.nav-link.active {
  font-weight: 700;
}

@media (max-width:768px) {
  .nav-menu, .nav-list {
    flex-direction: column;
    width: 100%;
    height: auto;
  }
  .nav-item {
    margin: 5px 0;
  }
  .nav-link {
    justify-content: center;
    width: 100%;
  }
}

main {
  background: var(--color-white);
  flex-direction: column;
  padding: 2rem;
  min-height: 70vh;
  display: flex;
  align-items: center;
}

.welcome-section {
  text-align: left;
  margin-bottom: 2rem;
  display: flex;
  flex-direction: column;
  width: 90%;
}

.welcome-section h1 {
  color: var(--bipro-dark-blue);
  font-size: 2.5rem;
  margin-bottom: 1rem;
  align-self: start;
}

.welcome-section p {
  font-size: 1.1rem;
  line-height: 1.6;
  color: var(--color-black);
}

.detailcontent, .pageContent {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: stretch;
  width: 90%;
}

@media (max-width:768px) {
  .detailcontent, .pageContent {
    flex-direction: column;
    align-items: center;
    width: 100%;
    padding: 0;
  }
}

.main-content {
  display: flex;
  flex-flow: column;
  min-height: 65vh;
  align-items: center;
  width: 90%;
  background: rgba(255,255,255,.75);
  color: var(--color-black);
}

.info-box-wrapper {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: clamp(1rem, 2vw, 1.5rem);
  width: 90%;
}

.info-box {
  background-color: var(--color-white);
  padding: 60px;
  margin-bottom: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0,0,0,.1);
  transition: transform .3s ease, box-shadow .3s ease;
  width: 20%;
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.info-box:hover {
  transform: translateY(-5px);
  box-shadow: 0 6px 12px rgba(0,0,0,.2);
  background-color: var(--bipro-red);
  color: var(--color-white);
}

.info-box-title {
  margin: 0;
  color: var(--bipro-red);
  text-align: center;
}

.versionTable {
  width: 100%;
  border-collapse: collapse;
  margin-bottom: 20px;
  box-shadow: 0 2px 8px rgba(0,0,0,.1);
  table-layout: fixed;
}

.versionTable td, .versionTable th {
  border: 1px solid #ddd;
  padding: 12px;
  text-align: left;
  width: 25%;
}

.versionTable th {
  background-color: #f4f4f4;
  color: #333;
  font-weight: 700;
}

.versionTable tr:hover {
  background-color: #f1f1f1;
}

a.navigationLink {
  text-decoration: none;
  color: var(--bipro-blue);
  margin-bottom: 3%;
}

a.navigationLink:hover {
  text-decoration: underline;
  color: var(--bipro-red);
}

.download-link {
  text-decoration: underline;
}

.download-link:hover {
  cursor: pointer;
}

.release-package {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding-left: 3%;
  background-color: #d3d3d3;
  max-width: 40%;
}

iframe {
  width: 100%;
  flex: 1;
  border: 0;
}

p code {
  background-color: #000;
  color: #fff;
}

#__next {
  width: 100%;
}

.cr{
  padding-top: 0 !important;
  padding-left: 0 !important;
  padding-right: 0 !important;
}